import os
import omero
from omero_version import omero_version

class OmeroVersionError(Exception):
    pass

def check_omero_version(host, user, passwd):
    c = omero.client(host)
    s = c.createSession(user, passwd)
    conf = s.getConfigService()
    if omero_version != conf.getConfigValue('omero.version'):
        raise OmeroVersionError('OMERO client and OMERO server have different version' \
                                '(client version %s --- server version %s)' %
                                (omero_version, conf.getConfigValue('omero.version')))
    else:
        print('Version check PASSED')

check_omero_version(os.environ['OME_HOST'],
                    os.environ['OME_USER'],
                    os.environ['OME_PASSWD'])